verifier1_setting = {
    "input": [
        "objective",
        "environment",
        "method_1_code",
        "method_1_text",
    ],
    "output": ["method_1_executable"],
    "prompt": """
    <RULE>The system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute='value'>content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name='RULE'>\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are 'system' or 'assistant'.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='EOS'>\nIndicates the end of a message.\n</TAG>\n\n<TAG name='THINK'>\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name='PYTHON'>\nThis tag represents an executable Python code.\nAttributes:\n    - label (optional) : A label summarizing the contents.\n</TAG>\n\n<TAG name='METHOD'>\nThis tag represents a machine learning method.\nAttributes\n    - name : Name of the method.\nNotes:\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='OBJECTIVE'>\nThis tag represents the object of the machine learning method.\nNotes:\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='ENVIRONMENT'>\nThis tag represents an available computing resource and datasets.\nNotes:\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='EXECUTABLE'>\nThis tag describes whether an evaluation experiment is possible. \nOnly 'True' or 'False' may be written inside this tag.\nAny other string must not be placed inside.\n</TAG>\n\n<RULE role='assistant'>\nA machine learning method and the proposed purpose of the method are given using METHOD and OBJECTIVE tags.\nThe role of the assistant is to determine if it is possible to verify that the given machine learning method achieves the OBJECTIVE using the given environment. In other words, the assistant must determine whether the given environment (computational resources and dataset) is sufficient to perform the experiment to verify the METHOD.\nThe assistant first uses the THINK tag to consider the purpose and content of the method, and what experiments are needed to validate it.\nNext, the assistant also uses the THINK tag to consider whether the experiment is feasible in the given environment.\nFinally, the assistant uses the EXECUTABLE tag to output whether the experiment is feasible. Output 'True' if possible, 'False' if not.\n</RULE>\n\n<objective>\n{objective}\n</objective>\n\n
    <post_method>\n{post_method}\n</post_method>\n\n<environment>\n{environment}\n</environment>
    """,
}
verifier2_setting = {
    "input": [
        "objective",
        "environment",
        "method_2_code",
        "method_2_text",
    ],
    "output": ["method_2_executable"],
    "prompt": """
    <RULE>The system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute='value'>content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name='RULE'>\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are 'system' or 'assistant'.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='EOS'>\nIndicates the end of a message.\n</TAG>\n\n<TAG name='THINK'>\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name='PYTHON'>\nThis tag represents an executable Python code.\nAttributes:\n    - label (optional) : A label summarizing the contents.\n</TAG>\n\n<TAG name='METHOD'>\nThis tag represents a machine learning method.\nAttributes\n    - name : Name of the method.\nNotes:\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='OBJECTIVE'>\nThis tag represents the object of the machine learning method.\nNotes:\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='ENVIRONMENT'>\nThis tag represents an available computing resource and datasets.\nNotes:\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='EXECUTABLE'>\nThis tag describes whether an evaluation experiment is possible. \nOnly 'True' or 'False' may be written inside this tag.\nAny other string must not be placed inside.\n</TAG>\n\n<RULE role='assistant'>\nA machine learning method and the proposed purpose of the method are given using METHOD and OBJECTIVE tags.\nThe role of the assistant is to determine if it is possible to verify that the given machine learning method achieves the OBJECTIVE using the given environment. In other words, the assistant must determine whether the given environment (computational resources and dataset) is sufficient to perform the experiment to verify the METHOD.\nThe assistant first uses the THINK tag to consider the purpose and content of the method, and what experiments are needed to validate it.\nNext, the assistant also uses the THINK tag to consider whether the experiment is feasible in the given environment.\nFinally, the assistant uses the EXECUTABLE tag to output whether the experiment is feasible. Output 'True' if possible, 'False' if not.\n</RULE>\n\n<objective>\n{objective}\n</objective>\n\n
    <post_method>\n{post_method}\n</post_method>\n\n<environment>\n{environment}\n</environment>
    """,
}
