creator_optimizer_first = {
    "input": ["objective", "pre_method_B", "patch_method_A"],
    "output": ["post_method"],
    "prompt": "<RULE>The system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute='value'>content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name='RULE'>\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are 'system' or 'assistant'.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='TAG'>\nThis tag defines a tag. The defined content is absolute.\nAttributes:\n    - name : A tag name.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='SYSTEM'>\nThis tag represents a system message.\nNotes:\n    - The assistant MUST NOT use this tag.\n</TAG>\n\n<TAG name='EOS'>\nIndicates the end of a message.\n</TAG>\n\n<TAG name='THINK'>\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nMust be answered in Japanese.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name='PYTHON'>\nThis tag represents an executable Python code.\nAttributes:\n    - label (optional) : A label summarizing the contents.\n</TAG>\n\n<TAG name='MIXED_METHOD'>\nThis tag represents a mixed method created by combining multiple element methods.\nThe content of this tag consists of sample code.\nAttributes\n    - name : Name of the method.\nNotes\n    - One PYTHON tag must be placed within this tag.\n</TAG>\n\n<TAG name='ELEMENTAL_METHOD'>\nThis tag represents an elemental methods.\nThe content of this tag consists of sample code.\nAttributes:\n    - name : The name of the method.\nNotes:\n    - One PYTHON tag must be placed within this tag; no other tags are allowed.\n</TAG>\n\n<TAG name='OBJECTIVE'>\nThis tag represents the purpose.\nThe purpose is described in text in this tag, and ASSISTANT must check the contents before working with it.\nNotes.\n    - Assistants must not use this tag.\n</TAG>\n\n<RULE role='assistant'>\nThe assistant's role is to synthesize the two given ELEMENTAL_METHODs to create an efficient MIXED_METHOD.\nFirst, the assistant carefully analyzes and understands the contents of the two ELEMENTAL_METHODs. Then, using the MIXED_METHOD tag, synthesize the contents of the first ELEMENTAL_METHOD with the contents of the second ELEMENTAL_METHOD in a manner consistent with the purpose of the OBJECTIVE tag.\nNOTES.\n- The assistant must use the THINK tag before using the MIXED_METHOD tag.\n- The THINK tag must specify in detail how it is to be combined as a description of the MIXED_METHOD.\n- There are many ways to combine them, but the assistant must perform the combination that seems most natural and reasonable.\n- The MIXED_METHOD must be such that it follows the contents of the OBJECTIVE.\n- The first ELEMENTAL_METHOD must be combined in such a way that the contents of the second ELEMENTAL_METHOD are added to the base of the first ELEMENTAL_METHOD.\n- The synthesized MIXED_METHOD must be created with executability in mind, as it will actually be executed after the first ELEMENTAL_METHOD.\n</RULE>\n\n<objective>\n{objective}\n</objective>\n\n<pre_method_B>\n{pre_method_B}\n</pre_method_B>\n\n<patch_method_A>\n{patch_method_A}\n</patch_method_A>\n\n<EOS></EOS>",
}


creator_optimizer_roop4 = {
    "input": [
        "objective",
        "pre_method_B",
        "patch_method_A",
        "post_method",
        "post_method_score",
    ],
    "output": ["post_method"],
    "prompt": "<RULE>The system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute='value'>content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name='RULE'>\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are 'system' or 'assistant'.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='TAG'>\nThis tag defines a tag. The defined content is absolute.\nAttributes:\n    - name : A tag name.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='SYSTEM'>\nThis tag represents a system message.\nNotes:\n    - The assistant MUST NOT use this tag.\n</TAG>\n\n<TAG name='EOS'>\nIndicates the end of a message.\n</TAG>\n\n<TAG name='THINK'>\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nMust be answered in Japanese.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name='PYTHON'>\nThis tag represents an executable Python code.\nAttributes:\n    - label (optional) : A label summarizing the contents.\n</TAG>\n\n<TAG name='MIXED_METHOD'>\nThis tag represents a mixed method created by combining multiple element methods.\nThe content of this tag consists of sample code.\nAttributes\n    - name : Name of the method.\nNotes\n    - One PYTHON tag must be placed within this tag.\n</TAG>\n\n<TAG name='ELEMENTAL_METHOD'>\nThis tag represents an elemental methods.\nThe content of this tag consists of sample code.\nAttributes:\n    - name : The name of the method.\nNotes:\n    - One PYTHON tag must be placed within this tag; no other tags are allowed.\n</TAG>\n\n<TAG name='OBJECTIVE'>\nThis tag represents the purpose.\nThe purpose is described in text in this tag, and ASSISTANT must check the contents before working with it.\nNotes.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='RESULT'>\nThis tag describes the result of executing the MIXED_METHOD tag.\nThe content of this tag is a textual representation of the result of executing the MIXED_METHOD tag.\nNOTES.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='MIX_METHOD_RESULT'>\nThis tag describes the result of the execution of the MIXED_METHOD tag.\nThe content of this tag consists of two pairs: the executed MIXED_METHOD tag and the RESULT tag describing the result.\nNOTES.\n    - Assistants must not use this tag.\n    - One MIXED_METHOD tag and one RESULT tag must always be specified.\n</TAG>\n\n<TAG name='LOG'>\nThis tag represents the log that has been run so far.\nAttributes\n    - name : Name of the method.\n    - At least one MIX_METHOD_RESULT tag must be specified.\n</TAG>\n\n<RULE role='assistant'>\nThe assistant's role is to synthesize the two given ELEMENTAL_METHODs to create an efficient MIXED_METHOD.\nFirst, the assistant carefully analyzes and understands the contents of the two ELEMENTAL_METHODs. Then, using the MIXED_METHOD tag, the contents of the first ELEMENTAL_METHOD and the contents of the second ELEMENTAL_METHOD are synthesized to match the purpose of the OBJECTIVE tag. When synthesizing, it is necessary to synthesize so as not to make the same mistake, since the LOG tag describes the results of synthesis up to now and the results of its execution.\nCaution\n- The assistant must use the THINK tag before using the MIXED_METHOD tag.\n- The THINK tag must be used as a description of MIXED_METHOD, specifying in detail how it is to be combined.\n- There are many ways to combine them, but the assistant must execute the combination that seems most natural and reasonable.\n- The MIXED_METHOD should be such that it follows the contents of the OBJECTIVE.\n- When creating the MIXED_METHOD, care must be taken not to make the same mistakes, since the LOG tag contains the results of the previous compositions.\n- The first ELEMENTAL_METHOD must be combined so that the contents of the second ELEMENTAL_METHOD are added to the base of the first.\n- The combined MIXED_METHOD is actually executed after the first ELEMENTAL_METHOD, so it must be created with executability in mind.\n</RULE>\n\n<objective>\n{objective}\n</objective>\n\n<post_method>\n{post_method}\n</post_method>\n\n<post_method_score>\n{post_method_score}\n</post_method_score>\n\n<pre_method_B>\n{pre_method_B}\n</pre_method_B>\n\n<patch_method_A>\n{patch_method_A}\n</patch_method_A>\n\n<EOS></EOS>",
}


creator_optimizer_roop5 = {
    "input": [
        "objective",
        "pre_method_B",
        "patch_method_A",
        "post_method",
        "post_method_score",
    ],
    "output": ["post_method"],
    "prompt": "<RULE>The system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute='value'>content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name='RULE'>\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are 'system' or 'assistant'.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='TAG'>\nThis tag defines a tag. The defined content is absolute.\nAttributes:\n    - name : A tag name.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name='SYSTEM'>\nThis tag represents a system message.\nNotes:\n    - The assistant MUST NOT use this tag.\n</TAG>\n\n<TAG name='EOS'>\nIndicates the end of a message.\n</TAG>\n\n<TAG name='THINK'>\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nMust be answered in Japanese.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name='PYTHON'>\nThis tag represents an executable Python code.\nAttributes:\n    - label (optional) : A label summarizing the contents.\n</TAG>\n\n<TAG name='MIXED_METHOD'>\nThis tag represents a mixed method created by combining multiple element methods.\nThe content of this tag consists of sample code.\nAttributes\n    - name : Name of the method.\nNotes\n    - One PYTHON tag must be placed within this tag.\n</TAG>\n\n<TAG name='ELEMENTAL_METHOD'>\nThis tag represents an elemental methods.\nThe content of this tag consists of sample code.\nAttributes:\n    - name : The name of the method.\nNotes:\n    - One PYTHON tag must be placed within this tag; no other tags are allowed.\n</TAG>\n\n<TAG name='OBJECTIVE'>\nThis tag represents the purpose.\nThe purpose is described in text in this tag, and ASSISTANT must check the contents before working with it.\nNotes.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='RESULT'>\nThis tag describes the result of executing the MIXED_METHOD tag.\nThe content of this tag is a textual representation of the result of executing the MIXED_METHOD tag.\nNOTES.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name='MIX_METHOD_RESULT'>\nThis tag describes the result of the execution of the MIXED_METHOD tag.\nThe content of this tag consists of two pairs: the executed MIXED_METHOD tag and the RESULT tag describing the result.\nNOTES.\n    - Assistants must not use this tag.\n    - One MIXED_METHOD tag and one RESULT tag must always be specified.\n</TAG>\n\n<TAG name='LOG'>\nThis tag represents the log that has been run so far.\nAttributes\n    - name : Name of the method.\n    - At least one MIX_METHOD_RESULT tag must be specified.\n</TAG>\n\n<RULE role='assistant'>\nThe assistant's role is to synthesize the two given ELEMENTAL_METHODs to create an efficient MIXED_METHOD.\nFirst, the assistant carefully analyzes and understands the contents of the two ELEMENTAL_METHODs. Then, using the MIXED_METHOD tag, the contents of the first ELEMENTAL_METHOD and the contents of the second ELEMENTAL_METHOD are combined for the purpose of the OBJECTIVE tag. When composing, make sure that the LOG tag shows the result of the composite so far and its execution result, so that it does not become unexecutable and that the score is higher.\nNOTES.\n- The assistant must use the THINK tag before using the MIXED_METHOD tag.\n- The THINK tag should be used as a description of MIXED_METHOD and should specify in detail how it will be synthesized. It should also explain how the synthesis has been modified or improved based on the previous synthesis results.\n- There are many ways to combine them, but the assistant must perform the combination that seems most natural and reasonable.\n- The MIXED_METHOD must be consistent with the contents of the OBJECTIVE.\n- When creating a MIXED_METHOD, be careful not to make the same mistakes, since the LOG tag contains the results of the previous composition, and also to score higher through compositional ingenuity.\n- The first ELEMENTAL_METHOD must be combined so that the contents of the second ELEMENTAL_METHOD are added to the base of the first.\n- The combined MIXED_METHOD is actually executed after the first ELEMENTAL_METHOD, so it must be created for executability.\n</RULE>\n\n<objective>\n{objective}\n</objective>\n\n<post_method>\n{post_method}\n</post_method>\n\n<post_method_score>\n{post_method_score}\n</post_method_score>\n\n<pre_method_B>\n{pre_method_B}\n</pre_method_B>\n\n<patch_method_A>\n{patch_method_A}\n</patch_method_A>\n\n<EOS></EOS>",
}


creator_prompt_first = {
    "input": ["objective", "pre_method_B", "patch_method_A"],
    "output": ["post_method"],
    "prompt": """
    <RULE>\nThe system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute="value">content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name="RULE">\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are "system" or "assistant".\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name="TAG">\nThis tag defines a tag. The defined content is absolute.\nAttributes:\n    - name : A tag name.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name="SYSTEM">\nThis tag represents a system message.\nNotes:\n    - The assistant MUST NOT use this tag.\n</TAG>\n\n<TAG name="EOS">\nIndicates the end of a message.\n</TAG>\n\n<TAG name="THINK">\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nMust be answered in Japanese.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name="PROMPTS">\nThis tag represents an executable LLM prompt.\nThis tag does not contain any descriptive text or other information other than the prompt.\nAttributes\n    - label (optional): A label summarizing the content.\n</TAG>\n\n<TAG name="MIXED_PROMPT">\nThis tag represents a mixed prompt created by combining multiple element prompts.\nThe content of this tag consists of a sample prompt.\nAttributes\n    - name : The name of the method.\nNotes.\n    - One PROMPTS tag must be described.\n</TAG>\n\n<TAG name="ELEMENTAL_PROMPT">\nThis tag represents an element prompt.\nThe content of this tag consists of a sample prompt.\nAttributes\n    - name : The name of the method.\nNotes\n    - One PROMPTS tag must be described inside this tag.\n</TAG>\n\n<TAG name="OBJECTIVE">\nThis tag represents the purpose.\nThe purpose is described in text in this tag, and ASSISTANT must check the contents before working with it.\nNotes.\n    - Assistants must not use this tag.\n</TAG>\n\n<RULE role="assistant">\nThe assistant\'s role is to synthesize the two given ELEMENTAL_PROMPTs to create an efficient MIXED_PROMPT.\nFirst, the assistant carefully analyzes and understands the contents of the two ELEMENTAL_PROMPTs. Then, using the MIXED_PROMPT tag, the contents of the first ELEMENTAL_PROMPT and the contents of the second ELEMENTAL_PROMPT are synthesized to match the purpose of the OBJECTIVE tag.\nNOTES.\n- Assistants must use the THINK tag before using the MIXED_PROMPT tag.\n- The THINK tag must specify in detail how it is to be combined as a description of MIXED_PROMPT.\n- There are many ways to combine them, but the assistant must execute the combination that seems most natural and reasonable.\n- MIXED_PROMPT should be such that it follows the contents of OBJECTIVE.\n- MIXED_PROMPT must be based on the first ELEMENTAL_PROMPT and must be combined with the contents of the second ELEMENTAL_PROMPT.\n</RULE>\n\n\n<OBJECTIVE>\n{objective}\n</OBJECTIVE>\n\n<ELEMENTAL_PROMPT>\n{pre_method_B}\n</ELEMENTAL_PROMPT>\n\n<ELEMENTAL_PROMPT>\n{patch_method_A}\n</ELEMENTAL_PROMPT>\n\n<EOS></EOS>
    """,
}


creator_prompt_roop4 = {
    "input": [
        "objective",
        "pre_method_B",
        "patch_method_A",
        "post_method",
        "post_method_score",
    ],
    "output": ["post_method"],
    "prompt": """
    <RULE>\nThe system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute="value">content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name="RULE">\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are "system" or "assistant".\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name="TAG">\nThis tag defines a tag. The defined content is absolute.\nAttributes:\n    - name : A tag name.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name="SYSTEM">\nThis tag represents a system message.\nNotes:\n    - The assistant MUST NOT use this tag.\n</TAG>\n\n<TAG name="EOS">\nIndicates the end of a message.\n</TAG>\n\n<TAG name="THINK">\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nMust be answered in Japanese.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name="PROMPTS">\nThis tag represents an executable LLM prompt.\nThis tag does not contain any descriptive text or other information other than the prompt.\nAttributes\n    - label (optional): A label summarizing the content.\n</TAG>\n\n<TAG name="MIXED_PROMPT">\nThis tag represents a mixed prompt created by combining multiple element prompts.\nThe content of this tag consists of a sample prompt.\nAttributes\n    - name : The name of the method.\nNotes.\n    - One PROMPTS tag must be described.\n</TAG>\n\n<TAG name="ELEMENTAL_PROMPT">\nThis tag represents an element prompt.\nThe content of this tag consists of a sample prompt.\nAttributes\n    - name : The name of the method.\nNotes\n    - One PROMPTS tag must be described inside this tag.\n</TAG>\n\n<TAG name="OBJECTIVE">\nThis tag represents the purpose.\nThe purpose is described in text in this tag, and ASSISTANT must check the contents before working with it.\nNotes.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name="RESULT">\nThis tag describes the result of executing the MIXED_PROMPT tag.\nThe content of this tag is a textual representation of the result of executing the MIXED_PROMPT tag.\nNOTES.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name="MIXED_PROMPT_RESULT">\nThis tag describes the result of the execution of the MIXED_PROMPT tag.\nThe content of this tag consists of two pairs: the executed MIXED_PROMPT tag and the RESULT tag describing the result.\nNOTES.\n    - Assistants must not use this tag.\n    - One MIXED_PROMPT tag and one RESULT tag must always be specified.\n</TAG>\n\n<TAG name="LOG">\nThis tag represents the log that has been run so far.\nAttributes\n    - name : Name of the method.\n    - At least one MIXED_PROMPT_RESULT tag must be specified.\n</TAG>\n\n<RULE role="assistant">\nThe assistant\'s role is to synthesize the two given ELEMENTAL_PROMPTs to create an efficient MIXED_PROMPT.\nFirst, the assistant carefully analyzes and understands the contents of the two ELEMENTAL_PROMPTs. Then, using the MIXED_PROMPT tag, the contents of the first ELEMENTAL_PROMPT and the contents of the second ELEMENTAL_PROMPT are synthesized to match the purpose of the OBJECTIVE tag. When synthesizing, it is necessary to synthesize so as not to make the same mistake, since the LOG tag describes the results of synthesis up to now and the results of its execution.\nCaution\n- The assistant must use the THINK tag before using the MIXED_PROMPT tag.\n- The THINK tag must be used as a description of MIXED_PROMPT, specifying in detail how it is to be combined.\n- There are many ways to combine them, but the assistant must execute the combination that seems most natural and reasonable.\n- The MIXED_PROMPT should be such that it follows the contents of the OBJECTIVE.\n- When creating the MIXED_PROMPT, care must be taken not to make the same mistakes, since the LOG tag contains the results of the previous compositions.\n- MIXED_PROMPT must be based on the first ELEMENTAL_PROMPT and must be combined with the contents of the second ELEMENTAL_PROMPT.\n</RULE>\n\n<OBJECTIVE>\n{objective}\n</OBJECTIVE>\n\n<LOG>\n{log}\n</LOG>\n\n<ELEMENTAL_PROMPT>\n{pre_method_B}\n</ELEMENTAL_PROMPT>\n\n<ELEMENTAL_PROMPT>\n{patch_method_A}\n</ELEMENTAL_PROMPT>\n\n<EOS></EOS>
    """,
}


creator_prompt_roop5 = {
    "input": [
        "objective",
        "pre_method_B",
        "patch_method_A",
        "post_method",
        "post_method_score",
    ],
    "output": ["post_method"],
    "prompt": """
    <RULE>\nThe system and the assistant exchange messages.\nAll messages MUST be formatted in XML format. XML element ::= <tag attribute="value">content</tag>\nTags determine the meaning and function of the content. The content must not contradict the definition of the tag.\n</RULE>\n\n<TAG name="RULE">\nThis tag defines rules. The defined content is absolute.\nAttributes:\n    - role (optional) : A role that should follow the rules. Roles are "system" or "assistant".\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name="TAG">\nThis tag defines a tag. The defined content is absolute.\nAttributes:\n    - name : A tag name.\nNotes:\n    - The assistant must not use this tag.\n</TAG>\n\n<TAG name="SYSTEM">\nThis tag represents a system message.\nNotes:\n    - The assistant MUST NOT use this tag.\n</TAG>\n\n<TAG name="EOS">\nIndicates the end of a message.\n</TAG>\n\n<TAG name="THINK">\nThis tag represents a thought process.\nIf you use this tag, take a drop deep breath and work on the problem step-by-step.\nMust be answered in Japanese.\nAttributes:\n    - label (optional) : A label summarizing the contents.\nNotes:\n    - The thought process must be described step by step.\n    - Premises in reasoning must be made as explicit as possible. That is, there should be no leaps of reasoning.\n</TAG>\n\n<TAG name="PROMPTS">\nThis tag represents an executable LLM prompt.\nThis tag does not contain any descriptive text or other information other than the prompt.\nAttributes\n    - label (optional): A label summarizing the content.\n</TAG>\n\n<TAG name="MIXED_PROMPT">\nThis tag represents a mixed prompt created by combining multiple element prompts.\nThe content of this tag consists of a sample prompt.\nAttributes\n    - name : The name of the method.\nNotes.\n    - One PROMPTS tag must be described.\n</TAG>\n\n<TAG name="ELEMENTAL_PROMPT">\nThis tag represents an element prompt.\nThe content of this tag consists of a sample prompt.\nAttributes\n    - name : The name of the method.\nNotes\n    - One PROMPTS tag must be described inside this tag.\n</TAG>\n\n<TAG name="OBJECTIVE">\nThis tag represents the purpose.\nThe purpose is described in text in this tag, and ASSISTANT must check the contents before working with it.\nNotes.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name="RESULT">\nThis tag describes the result of executing the MIXED_PROMPT tag.\nThe content of this tag is a textual representation of the result of executing the MIXED_PROMPT tag.\nNOTES.\n    - Assistants must not use this tag.\n</TAG>\n\n<TAG name="MIXED_PROMPT_RESULT">\nThis tag describes the result of the execution of the MIXED_PROMPT tag.\nThe content of this tag consists of two pairs: the executed MIXED_PROMPT tag and the RESULT tag describing the result.\nNOTES.\n    - Assistants must not use this tag.\n    - One MIXED_PROMPT tag and one RESULT tag must always be specified.\n</TAG>\n\n<TAG name="LOG">\nThis tag represents the log that has been run so far.\nAttributes\n    - name : Name of the method.\n    - At least one MIXED_PROMPT_RESULT tag must be specified.\n</TAG>\n\n<RULE role="assistant">\nThe assistant\'s role is to synthesize the two given ELEMENTAL_PROMPTs to create an efficient MIXED_PROMPT.\nFirst, the assistant carefully analyzes and understands the contents of the two ELEMENTAL_PROMPTs. Then, using the MIXED_PROMPT tag, the contents of the first ELEMENTAL_PROMPT and the contents of the second ELEMENTAL_PROMPT are synthesized to match the purpose of the OBJECTIVE tag. When synthesizing, it is necessary to synthesize so as not to make the same mistake, since the LOG tag describes the results of synthesis up to now and the results of its execution.\nCaution\n- The assistant must use the THINK tag before using the MIXED_PROMPT tag.\n- The THINK tag must be used as a description of MIXED_PROMPT, specifying in detail how it is to be combined.\n- There are many ways to combine them, but the assistant must execute the combination that seems most natural and reasonable.\n- The MIXED_PROMPT should be such that it follows the contents of the OBJECTIVE.\n- When creating the MIXED_PROMPT, care must be taken not to make the same mistakes, since the LOG tag contains the results of the previous compositions.\n- MIXED_PROMPT must be based on the first ELEMENTAL_PROMPT and must be combined with the contents of the second ELEMENTAL_PROMPT.\n</RULE>\n\n<OBJECTIVE>\n{objective}\n</OBJECTIVE>\n\n<LOG>\n{log}\n</LOG>\n\n<ELEMENTAL_PROMPT>\n{pre_method_B}\n</ELEMENTAL_PROMPT>\n\n<ELEMENTAL_PROMPT>\n{patch_method_A}\n</ELEMENTAL_PROMPT>\n\n<EOS></EOS>
    """,
}
